Package com.xebialabs.xlrelease.domain.variables.reference

# Class VariableCollectingVisitor

java.lang.Object
com.xebialabs.xlrelease.domain.variables.reference.VariableCollectingVisitor

All Implemented Interfaces:
  `ReleaseVisitor`

public class VariableCollectingVisitor extends Object implements ReleaseVisitor

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `VARIABLE_MAPPING_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableCollectingVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<VariableReference>`
  `collectFrom(VisitableItem item)`
  `Set<VariableReference>`
  `result()`
  `void`
  `visit(Facet facet)`
  `void`
  `visit(PlanItem item)`
  `void`
  `visit(ReleaseExtension extension)`
  `void`
  `visit(ValueProviderConfiguration valueProviderConfiguration)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VARIABLE_MAPPING_PROPERTY

    public static final String VARIABLE_MAPPING_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VariableCollectingVisitor

    public VariableCollectingVisitor()

- ## Method Details

  - ### collectFrom

    public static Set<VariableReference> collectFrom(VisitableItem item)

  - ### result

    public Set<VariableReference> result()

  - ### visit

    public void visit(ReleaseExtension extension)
    Specified by:
      `visit` in interface `ReleaseVisitor`

  - ### visit

    public void visit(PlanItem item)
    Specified by:
      `visit` in interface `ReleaseVisitor`

  - ### visit

    public void visit(Facet facet)
    Specified by:
      `visit` in interface `ReleaseVisitor`

  - ### visit

    public void visit(ValueProviderConfiguration valueProviderConfiguration)
    Specified by:
      `visit` in interface `ReleaseVisitor`